Redmine - Defect #17550

Spent time in exported CSV is wrong
2014-07-24 15:42 - Albano Freire de Sousa Junior

Status: Closed
Priority: Normal
Assignee:

Category: Time tracking

Target version:

Resolution: Fixed

Start date:

Due date:

% Done: 0%
Estimated time: 0.00 hour

Affected version:

Description

When choose column spent time to show in issues list, spent time value is correct, which is the sum of spent time of all children and

itself.

But in the exported CSV, the spent time value is only of itself, not children.

Related issues:

Related to Redmine - Defect #16092: Parent/subtask: calculation of estimated ... Closed
Related to Redmine - Defect #16159: Wrong calculation of spent time field on ... Closed
Related to Redmine - Feature #11253: Total time spent from subtasks on the is... Closed

Associated revisions

Revision 14273 - 2015-05-25 14:06 - Jean-Philippe Lang

Display time spent on the issue and the total time spent like estimated hours (#17550).

History

#2 - 2014-07-24 19:58 - Etienne Massip

I'm sorry Thanh, it looks like | removed the wrong issue.

#3 - 2014-08-19 05:57 - Toshi MARUYAMA

- Category set to Time tracking

#4 - 2014-09-18 18:41 - Heiko Robert

| disagree - in the list view only the time booked to the master ticket is shown. In the ticket details page the sum of master plus alls subtickets are
shown. Similar to #16092 the sum of all time entries should be saved in a separate field to be able see correct time sums in list view as expected and

to support correct sums in (csv-)exports.
So | would vote for:

e time spent on this ticket (independant of parent or not)

¢ time spent on all sub (and sub-sub...) tickets only calculated if ticket has no parent_id

#5 - 2014-10-17 11:44 - Toshi MARUYAMA

- Related to Defect #16092: Parent/subtask: calculation of estimated hours added

#6 - 2014-10-17 11:47 - Toshi MARUYAMA

- Related to Defect #16159: Wrong calculation of spent time field on Issues report added

#7 - 2015-10-26 15:06 - Fabrice ROBIN
Jean-Philippe,

The commit r14273, which has been merged into the 3.1 branch, introduced an error as a "h" label is hard-coded in the function |_hours_short:

"$.2f h" % hours.to_f

This label should be translated through i18n. Asian users will surely report this anomaly.

#8 - 2015-10-26 15:34 - Toshi MARUYAMA
Fabrice ROBIN wrote:
https://www.redmine.org/issues/16092
https://www.redmine.org/projects/redmine/repository/svn/revisions/14273

Jean-Philippe,

The commit r14273, which has been merged into the 3.1 branch, introduced an error as a "h" label is hard-coded in the function |_hours_short:

[--]
This label should be translated through i18n. Asian users will surely report this anomaly.
FTR: #21069

#9 - 2016-12-18 17:19 - Marius BALTEANU
- File spent_time.png added

Both columns (Spent time and Total spent time) are available now in the CSV export.

#10 - 2016-12-19 21:55 - Mischa The Evil

- Status changed from New to Needs feedback

#11 - 2017-01-15 14:21 - Go MAEDA
- Status changed from Needs feedback to Closed

- Resolution set to Fixed

Fixed in Redmine 3.1 (#11253).
A parent issue displays its own spent time and total spent time.

#12 - 2017-01-15 14:22 - Go MAEDA

- Related to Feature #11253: Total time spent from subtasks on the issue list added

Files

spent_time.png 64.3 KB 2016-12-18
